## ros-kinetic-rosbag-editor 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbag_editor)


add_compile_options(-std=c++14)

find_package(catkin REQUIRED COMPONENTS
  rosbag
  rosbag_storage
  roscpp
  tf2_msgs
  tf
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
SET(CMAKE_AUTOUIC ON)

find_package(Qt5 REQUIRED COMPONENTS Core Widgets)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rosbag_editor
  CATKIN_DEPENDS rosbag rosbag_storage roscpp tf2_msgs tf
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Gui_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    )


## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
add_executable(rosbag_editor
    src/main.cpp
    src/rosbag_editor.cpp
    src/rosbag_editor.ui
    src/filter_frames.cpp
    src/filter_frames.ui
    desktop/resources.qrc
    )

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(rosbag_editor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
 target_link_libraries(rosbag_editor
   ${catkin_LIBRARIES}
   Qt5::Core
   Qt5::Widgets
 )


#############
## Install ##
#############

if("${CMAKE_INSTALL_PREFIX}" MATCHES "^/opt/")
  # Handle release case
  set(DESKTOP_APP_DIR "/usr/share/applications")
  set(DESKTOP_ICON_DIR "/usr/share/icons")
else()
  set(DESKTOP_APP_DIR "$ENV{HOME}/.local/share/applications")
  set(DESKTOP_ICON_DIR ${DESKTOP_APP_DIR})
  set(DESKTOP_APP_SUFFIX " (local)")
endif()
set(ROS_DISTRO $ENV{ROS_DISTRO})

# Create directory for the desktop file/icon
install(DIRECTORY DESTINATION
  ${DESKTOP_APP_DIR}
)
install(DIRECTORY DESTINATION
  ${DESKTOP_ICON_DIR}
)

# Configure / install bash launch script
configure_file(
  scripts/${PROJECT_NAME}.bash.in
  scripts/${PROJECT_NAME}.bash
  @ONLY
)

# Install bash script
install(
  PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/scripts/${PROJECT_NAME}.bash
  DESTINATION
  ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Configure / install desktop launchers
if(DEFINED DESKTOP_APP_SUFFIX)
  configure_file(
    desktop/${PROJECT_NAME}.desktop.in
    desktop/${PROJECT_NAME}_debug.desktop
  )
else()
  configure_file(
    desktop/${PROJECT_NAME}.desktop.in
    desktop/${PROJECT_NAME}.desktop
  )
endif()
if(DEFINED DESKTOP_APP_SUFFIX)
  install(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/desktop/${PROJECT_NAME}_debug.desktop
    DESTINATION
    ${DESKTOP_APP_DIR}
  )
else()
  install(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/desktop/${PROJECT_NAME}.desktop
    DESTINATION
    ${DESKTOP_APP_DIR}
  )
endif()

# Install icon
install(
  FILES
  desktop/${PROJECT_NAME}.png
  DESTINATION
  ${DESKTOP_ICON_DIR}
)

## Mark executables and/or libraries for installation
install(TARGETS rosbag_editor rosbag_editor
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rosbag-editor (0.4.1-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- dfaconti <davide.faconti@gmail.com>  Fri, 25 Oct 2019 09:17:27 -0000

ros-kinetic-rosbag-editor (0.4.0-1xenial) xenial; urgency=high

  * add TF filter
  * add the ability to rename topics
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Wed, 23 Oct 2019 22:00:00 -0000

ros-kinetic-rosbag-editor (0.3.0-1xenial) xenial; urgency=high



 -- dfaconti <davide.faconti@gmail.com>  Mon, 14 Oct 2019 22:00:00 -0000

ros-kinetic-rosbag-editor (0.2.0-1xenial) xenial; urgency=high

  * fixing few issues
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Mon, 14 Oct 2019 22:00:00 -0000

ros-kinetic-rosbag-editor (0.1.0-1xenial) xenial; urgency=high

  * Initial commit
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Sun, 14 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosbag-editor
Section: misc
Priority: optional
Maintainer: dfaconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-kinetic-catkin, ros-kinetic-rosbag, ros-kinetic-rosbag-storage, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-tf2-msgs
Homepage: http://wiki.ros.org/rosbag_editor
Standards-Version: 3.9.2

Package: ros-kinetic-rosbag-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-kinetic-rosbag, ros-kinetic-rosbag-storage, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-tf2-msgs
Description: The rosbag_editor package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosbag-editor//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
